gi-xlib-2.0.9: xlib bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Xlib.Structs.Visual

Contents

- Exported types
- Methods
  - Overloaded methods

Description

No description available in the introspection data.

Synopsis

- newtype Visual = Visual (ManagedPtr Visual)

# Exported types

newtype Visual Source #

Memory-managed wrapper type.

Constructors

Visual (ManagedPtr Visual) |

#### Instances

Instances details

Eq Visual Source # |
Instance details Defined in GI.Xlib.Structs.Visual Methods (==) :: Visual -> Visual -> Bool # (/=) :: Visual -> Visual -> Bool #
ManagedPtrNewtype Visual Source # |
Instance details Defined in GI.Xlib.Structs.Visual Methods toManagedPtr :: Visual -> ManagedPtr Visual Source #
BoxedPtr Visual Source # |
Instance details Defined in GI.Xlib.Structs.Visual Methods boxedPtrCopy :: Visual -> IO Visual Source # boxedPtrFree :: Visual -> IO () Source #

# Methods

## Overloaded methods